aboutsummaryrefslogtreecommitdiff
path: root/scripts/genconfig.sh
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2008-01-19 17:08:39 -0600
committerRob Landley <rob@landley.net>2008-01-19 17:08:39 -0600
commit2896480c4918f2accccb8301bec457a7bff7377e (patch)
tree622527b0fcb9b5ed9d8b7fb50db316dc00111b2c /scripts/genconfig.sh
parent58ecc3e589c2edc0ef4f33d4419b0b2e7ac6a83d (diff)
downloadtoybox-2896480c4918f2accccb8301bec457a7bff7377e.tar.gz
Zap toys/Config.in and instead create generated/Config.in from contents of
toys/*.c. Move relevant info into comment at the top of each toys/*.c. Also convert more of Makefile into a thin wrapper around shell scripts that actually do the work. (Makefile is only still there for the user interface.)
Diffstat (limited to 'scripts/genconfig.sh')
-rwxr-xr-xscripts/genconfig.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/genconfig.sh b/scripts/genconfig.sh
new file mode 100755
index 00000000..59c63c5b
--- /dev/null
+++ b/scripts/genconfig.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+mkdir -p generated
+
+function genconfig()
+{
+ for i in $(echo toys/*.c | sort)
+ do
+ # Grab the config block for Config.in
+ echo "# $i"
+ sed -n '/^\*\//q;/^config [A-Z]/,$p' $i || exit 1
+ echo
+ done
+}
+
+genconfig > generated/Config.in